using CarCenterContracts.BindingModels;
using CarCenterContracts.SearchModels;
using CarCenterContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using CarCenterDataModels.Models;

namespace CarCenterContracts.BusinessLogicsContracts
{
    public interface IInspectionLogic
    {
        List<InspectionViewModel>? ReadList(InspectionSearchModel? model);
        InspectionViewModel? ReadElement(InspectionSearchModel model);
        bool Create(InspectionBindingModel model);
        bool Update(InspectionBindingModel model);
        bool Delete(InspectionBindingModel model);
        bool AddCarToInspection(InspectionSearchModel model, ICarModel car);
    }
}
